package com.skybeacon.sdk;

import com.skybeacon.sdk.config.SKYBeaconConfigException;
import com.skybeacon.sdk.locate.SKYBeacon;
import com.skybeacon.sdk.locate.SKYBeaconMultiIDs;

/**
 * 连接状态回调函数
 * 
 * @author frank
 * 
 */
public interface ConnectionStateCallback {

	/**
	 * 连接成功，返回SeekcyBeacon的详细信息，单id的SeekcyBeacon
	 * 
	 * @param skyBeacon
	 */
	public void onConnectedSuccess(SKYBeacon skyBeacon);

	/**
	 * 连接成功，返回SeekcyBeacon的详细信息，多id的SeekcyBeacon
	 * 
	 * @param skyBeaconMultiIDs
	 */
	public void onConnectedSuccess(
			SKYBeaconMultiIDs skyBeaconMultiIDs);

	/**
	 * 连接失败，返回连接失败的异常信息
	 * 
	 * @param skyBeaconConfigException
	 */
	public void onConnectedFailed(
			SKYBeaconConfigException skyBeaconConfigException);

	/**
	 * 连接断开
	 */
	public void onDisconnected();
}
