package com.skybeacon.sdk;

/**
 * 异常接口，sdk的任何异常都通过该接口进行获取
 * 
 * @author frank
 * 
 */
public interface ExceptionListener {
	/**
	 * 错误监听
	 * 
	 * @param errorCode
	 *            错误码
	 * @param errorString
	 *            错误信息
	 */
	public void onErrorExecption(Integer errorCode, String errorString);

	/**
	 * 警告监听
	 * 
	 * @param warnCode
	 *            错误码
	 * @param warnString
	 *            错误信息
	 */
	public void onWarnExecption(Integer warnCode, String warnString);

	/**
	 * 其他异常信息
	 * 
	 * @param exception
	 *            异常信息
	 */
	public void onOtherException(Exception exception);
}
