package com.skybeacon.sdk;

import java.util.List;

import com.skybeacon.sdk.locate.SKYBeacon;
import com.skybeacon.sdk.locate.SKYRegion;

/**
 * 监听接口：临近、远离监听
 * 
 * @author frank
 * 
 */
public interface MonitoringBeaconsListener {

	/**
	 * 进入监听区域回调函数
	 * 
	 * @param beaconRegion
	 *            ：监听区域
	 * @param beaconList
	 *            ：返回当前有效的beaconList
	 */
	public void onEnteredRegion(SKYRegion beaconRegion,
			List<SKYBeacon> beaconList);

	/**
	 * 离开监听区域回调函数
	 * 
	 * @param beaconRegion
	 *            ：监听区域
	 * @param beaconList
	 *            ：返回当前有效的beaconList
	 */
	public void onExitedRegion(SKYRegion beaconRegion,
			List<SKYBeacon> beaconList);
}
