package com.skybeacon.sdk;

import java.util.List;

import com.skybeacon.sdk.locate.SKYBeacon;
import com.skybeacon.sdk.locate.SKYBeaconMultiIDs;
import com.skybeacon.sdk.locate.SKYRegion;

/**
 * 扫描区域内的iBeacons接口
 * 
 * @author frank
 * 
 */
public interface RangingBeaconsListener {

	/**
	 * 扫描回调函数
	 * 
	 * @param beaconRegion
	 *            ：监听区域
	 * @param beaconList
	 *            ：扫描结果，ibeaconList
	 */
	public void onRangedBeacons(SKYRegion beaconRegion, List<SKYBeacon> beaconList);

	/**
	 * 扫描回调函数，针对多id的iBeacons
	 * 
	 * @param beaconRegion
	 *            ：监听区域
	 * @param beaconMultiIDsList
	 *            ：扫描结果
	 */
	public void onRangedBeaconsMultiIDs(SKYRegion beaconRegion, List<SKYBeaconMultiIDs> beaconMultiIDsList);

	/**
	 * 扫描回调函数，返回符合设置条件的附近的iBeacon设备
	 * 
	 * @param beaconRegion
	 *            ：监听区域
	 * @param beaconList
	 *            ：附近设备列表
	 */
	public void onRangedNearbyBeacons(SKYRegion beaconRegion, List<SKYBeacon> beaconList);
}
