package com.skybeacon.sdk.config;

import android.content.ComponentName;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.util.Log;

public class BleServiceConnection implements ServiceConnection {
	private BluetoothLeService mBluetoothLeService = null;
	private String mDeviceAddress = null;

	public BleServiceConnection(BluetoothLeService bluetoothLeService,
			String deviceAddress) {
		this.mBluetoothLeService = bluetoothLeService;
		this.mDeviceAddress = deviceAddress;
	}

	@Override
	public void onServiceConnected(ComponentName arg0, IBinder arg1) {
		// TODO Auto-generated method stub
		mBluetoothLeService = ((BluetoothLeService.LocalBinder) arg1)
				.getService();
		if (mBluetoothLeService.initialize()) {
			mBluetoothLeService.connect(mDeviceAddress);
		} else {
			Log.e("seekcy", "Unable to initialize bluetooth!");
		}
	}

	@Override
	public void onServiceDisconnected(ComponentName arg0) {
		// TODO Auto-generated method stub
		mBluetoothLeService = null;
		Log.i("ble", "onServiceDisconnected--4");
	}

	public BluetoothLeService getBleService() {
		return mBluetoothLeService;
	}
}
