package com.skybeacon.sdk.config;

/**
 * 光感传感器的黑暗门限值：分为5个档，越大表示黑暗门限亮度越高
 * 
 * @author frank
 * 
 */
public enum LightSensorThreshold {
	DARK_LEVEL_FALSE(-1), DARK_LEVEL_1(1), DARK_LEVEL_2(2), DARK_LEVEL_3(3), DARK_LEVEL_4(
			4), DARK_LEVEL_5(5);

	// 定义私有变量
	private int eCode;

	/**
	 * 构造函数，枚举类型只能为私有
	 * 
	 * @param eCode
	 */
	private LightSensorThreshold(int eCode) {
		this.eCode = eCode;
	}

	@Override
	public String toString() {
		return String.valueOf(this.eCode);
	}

	public static LightSensorThreshold getThreshold(int threshold) {
		LightSensorThreshold result = LightSensorThreshold.DARK_LEVEL_FALSE;
		switch (threshold) {
		case 1:
			result = LightSensorThreshold.DARK_LEVEL_1;
			break;
		case 2:
			result = LightSensorThreshold.DARK_LEVEL_2;
			break;
		case 3:
			result = LightSensorThreshold.DARK_LEVEL_3;
			break;
		case 4:
			result = LightSensorThreshold.DARK_LEVEL_4;
			break;
		case 5:
			result = LightSensorThreshold.DARK_LEVEL_5;
			break;
		}
		return result;
	}

	public static int getThreshold(LightSensorThreshold lightSensorThreshold) {
		int result = 0xFF;
		if (lightSensorThreshold == DARK_LEVEL_1) {
			result = 1;
		} else if (lightSensorThreshold == DARK_LEVEL_2) {
			result = 2;
		} else if (lightSensorThreshold == DARK_LEVEL_3) {
			result = 3;
		} else if (lightSensorThreshold == DARK_LEVEL_4) {
			result = 4;
		} else if (lightSensorThreshold == DARK_LEVEL_5) {
			result = 5;
		}
		return result;
	}
}
