package com.skybeacon.sdk.decryption;

import com.skybeacon.sdk.locate.DecryptAPI;

public class DecryptProcess {
	private static boolean isInit = false;

	/**
	 * Init decryption
	 * 
	 * @param key
	 * 
	 */
	public static void init(byte key[]) {
		isInit = true;
		DecryptAPI.init(key);
	}

	/**
	 * Description
	 * 
	 * @param uuid
	 * 
	 * @param major
	 * 
	 * @param minor
	 * 
	 * @return 0--success, decrypt the encrypted ibeacon 1--success, decrypt the
	 *         not encrypted ibeacon -1--local time invalid -2--Time is not
	 *         synchronized
	 */
	public static int getUuidMajorMinor(byte uuid[], byte major[],
			byte minor[]) {
		int result = -1;
		if (isInit) {
			result = DecryptAPI.getUuidMajorMinor(uuid, major, minor);
		}
		return result;
	}

	/**
	 * Description
	 * 
	 * @param uuid
	 * 
	 * @param major
	 * 
	 * @param minor
	 * 
	 * @return 0--success, decrypt the encrypted ibeacon 1--success, decrypt the
	 *         not encrypted ibeacon -1--local time invalid -2--Time is not
	 *         synchronized
	 */
	public static int getUuidMajorMinorV2(byte uuid[], byte major[],
			byte minor[]) {
		int result = -1;
		if (isInit) {
			result = DecryptAPI.getUuidMajorMinorV2(uuid, major, minor);
		}
		return result;
	}

	/**
	 * Description electricity
	 * 
	 * @param electricity
	 * @return electricity * 10
	 */
	public static int electricity(byte electricity) {
		int result = -1;
		if (isInit) {
			result = DecryptAPI.electricity(electricity);
		}
		return result;
	}
}
