package com.skybeacon.sdk.entity;

public class VersionAdaption {
	public static boolean isMultiIDsVersion(int hardwareVersion, int firmwareMajor) {
		boolean result = false;

		switch (hardwareVersion) {
		case 0:
			if (firmwareMajor == 0x02) {
				result = true;
			}
			break;
		case 3:
			if (firmwareMajor == 0x03) {
				result = true;
			}
			break;
		case 5:
			if (firmwareMajor == 0x02) {
				result = true;
			}
		case 7:
			if (firmwareMajor == 0x03) {
				result = true;
			}
			break;
		}
		return result;
	}

	public static boolean isTempteratureSensorContain(int hardwareVersion, int firmwareMajor, int firmwareMinor) {
		boolean result = false;
		switch (hardwareVersion) {
		case 3:
			if (firmwareMajor == 1 || firmwareMajor == 3) {
				result = true;
			}
			break;
		case 5:
			if (firmwareMajor == 1) {
				if (firmwareMinor >= 1) {
					result = true;
				}
			} else if (firmwareMajor == 2) {
				result = true;
			}
			break;
		case 6:
			if (firmwareMajor == 1) {
				result = true;
			}
			break;

		default:
			break;
		}
		return result;
	}

	public static boolean isLightSensorContain(int hardwareVersion, int firmwareMajor, int firmwareMinor) {
		boolean result = false;
		switch (hardwareVersion) {
		case 3:
			// if (firmwareMajor == 1) {
			// result = true;
			// }
			break;

		default:
			break;
		}
		return result;
	}

	public static boolean isLedContain(int hardwareVersion, int firmwareMajor, int firmwareMinor) {
		boolean result = false;
		switch (hardwareVersion) {
		case 1:
			if (firmwareMajor == 1) {
				result = true;
			}
			break;
		case 3:
			if (firmwareMajor == 1 || firmwareMajor == 3) {
				result = true;
			}
			break;
		case 8:
			if (firmwareMajor == 1) {
				result = true;
			}
			break;

		default:
			break;
		}
		return result;
	}

	public static String getProductName(int hardwareVersion, int firmwareMajor, int firmwareMinor) {
		String result = "";
		switch (hardwareVersion) {
		case 0:
			if (firmwareMajor == 1) {
				result = "S1";
			} else if (firmwareMajor == 2) {
				result = "S1-Multi";
			}
			break;
		case 1:
			result = "M0";
			break;
		case 2:
			result = "S1P";
			break;
		case 3:
			if (firmwareMajor == 1) {
				result = "M0L";
			} else {
				result = "M0L-Multi";
			}
			break;
		case 4:
			result = "M1";
			break;
		case 5:
			if (firmwareMajor == 1) {
				result = "S1L";
			} else if (firmwareMajor == 2) {
				result = "S1L-Multi";
			}
			break;
		case 6:
			result = "K1L";
			break;
		case 7:
			result = "S1U";
			break;
		case 8:
			result = "M0U";
			break;
		case 9:
			result = "S2U";
			break;
		case 18:
			result = "T1U";
			break;
		default:
			break;
		}
		return result;
	}
}
