package com.skybeacon.sdk.entity;

import java.io.IOException;
import java.io.InputStreamReader;
import java.io.LineNumberReader;
import java.util.List;

import com.skybeacon.sdk.utils.DataConvertUtils;
import com.skybeacon.sdk.utils.FileAdapter;

import android.annotation.SuppressLint;
import android.content.Context;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;
import android.os.Environment;
import android.os.Handler;

@SuppressLint("DefaultLocale")
public class WifiSensor {
	private final String fileName = "collectionDatas.txt";
	private WifiManager mWifiManager;
	private static WifiSensor instance = null;
	private Context context = null;
	private boolean isScaningFlag = false;
	private boolean isWrite = false;
	private String deviceMac = "";
	private final Handler handler = new Handler();

	private WifiSensor() {
	}

	public synchronized static WifiSensor getInstance() {
		if (instance == null) {
			instance = new WifiSensor();
		}
		return instance;
	}

	public boolean isWifiOpen() {
		if (mWifiManager != null) {
			return mWifiManager.isWifiEnabled();
		}
		return false;
	}

	public void openWifi() {
		if (mWifiManager != null && !mWifiManager.isWifiEnabled()) {
			mWifiManager.setWifiEnabled(true);
		}
	}

	public void closeWifi() {
		if (mWifiManager != null) {
			mWifiManager.setWifiEnabled(false);
		}
	}

	@SuppressLint("DefaultLocale")
	public void setContext(Context c) {
		context = c;
		if (mWifiManager == null) {
			mWifiManager = (WifiManager) context.getSystemService(Context.WIFI_SERVICE);
		}
		try {
			deviceMac = getMac().toUpperCase().replace(":", "");
		} catch (Exception e) {
			// TODO: handle exception
		}
	}

	private String getMac() {
		String macSerial = null;
		String str = "";

		try {
			Process pp = Runtime.getRuntime().exec("cat /sys/class/net/wlan0/address ");
			InputStreamReader ir = new InputStreamReader(pp.getInputStream());
			LineNumberReader input = new LineNumberReader(ir);

			for (; null != str;) {
				str = input.readLine();
				if (str != null) {
					macSerial = str.trim();// 去空格
					break;
				}
			}
		} catch (IOException ex) {
			// 赋予默认值
			ex.printStackTrace();
		}
		return macSerial;
	}

	public void startScan(boolean isWrite) {
		this.isWrite = isWrite;
		if (mWifiManager != null && mWifiManager.isWifiEnabled()) {
			isScaningFlag = true;
			handler.postDelayed(scanThread, 100);
		}
	}

	private void scan() {
		if (mWifiManager != null && mWifiManager.isWifiEnabled()) {
			mWifiManager.startScan();
			List<ScanResult> lsScanResult = mWifiManager.getScanResults();
			WifiDatasEntity.getInstance().addWifiDatas(lsScanResult);
			if (this.isWrite) {
				long timestamp = DataConvertUtils.getCurrentTimestampMillisecond();
				for (int i = 0; i < lsScanResult.size(); i++) {
					String tmp = lsScanResult.get(i).BSSID.toUpperCase().replace(":", "") + "\t" + lsScanResult.get(i).level + "\t" + String.valueOf(timestamp) + "\n";
					try {
						FileAdapter.writeSDFileAppend(Environment.getExternalStorageDirectory() + "/Seekcy/CollectionDatas", this.fileName, tmp);
					} catch (IOException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
				}
			}
		}
	}

	private Runnable scanThread = new Runnable() {

		@Override
		public void run() {

			scan();
			if (isScaningFlag) {
				handler.postDelayed(scanThread, 400);
			}
		}
	};

	public void stopScan() {
		if (mWifiManager != null && mWifiManager.isWifiEnabled()) {
			isScaningFlag = false;
		}
	}

	public String getDeviceMac() {
		return deviceMac;
	}

	public void destroy() {
		if (mWifiManager != null) {
			mWifiManager = null;
		}
	}
}
