package com.skybeacon.sdk.locate;

import java.util.Timer;

import android.app.Service;
import android.content.Intent;
import android.os.Binder;
import android.os.Build;
import android.os.IBinder;
import android.util.Log;

public class BleScanService extends Service {
	private final String TAG = "BleScanService";
	private final int SCAN_FREQUENCY_MILLISECOND = 800;
	private final int SCAN_TIME_MILLISECOND = 600;

	private Timer mTimerScan;

	public class BleScanServiceBinder extends Binder {
		/**
		 * 获取 Service 实例
		 * 
		 * @return
		 */
		public BleScanService getService() {
			return BleScanService.this;
		}
	}

	@Override
	public boolean onUnbind(Intent intent) {
		// TODO Auto-generated method stub
		return super.onUnbind(intent);
	}

	@Override
	public IBinder onBind(Intent arg0) {
		// TODO Auto-generated method stub
		Log.v(TAG, "BleSnifferService onBind");
		return new BleScanServiceBinder();
	}

	@Override
	public void onCreate() {
		Log.v(TAG, "BleSnifferService onCreate");
		mTimerScan = new Timer();
		mTimerScan.scheduleAtFixedRate(new TimerTaskScan(), 1, SCAN_FREQUENCY_MILLISECOND);
		super.onCreate();
	}

	@Override
	public void onDestroy() {
		// TODO Auto-generated method stub
		SKYBeaconScanUnit.getInstance().stop();
		SKYBeaconScanUnit.getInstance().destory();
		if (mTimerScan != null) {
			mTimerScan.cancel();
		}
		super.onDestroy();
	}

	private class TimerTaskScan extends java.util.TimerTask {

		private int times = 0;
		private int timesThreshold = 6000 / SCAN_FREQUENCY_MILLISECOND;

		@Override
		public void run() {
			// TODO Auto-generated method stub
			if (SKYBeaconScanUnit.getInstance().init(getApplicationContext())) {
				if (Build.VERSION.SDK_INT >= 24) {
					if (!SKYBeaconScanUnit.getInstance().isStart()) {
						SKYBeaconScanUnit.getInstance().start();
					}
					SKYBeaconFilter.getInstance().filterBeacons();
					if (times >= timesThreshold) {
						times = 0;
						SKYBeaconFilter.getInstance().removeTimeoutBeacons();
					} else {
						times++;
					}
				} else {
					SKYBeaconScanUnit.getInstance().start();
					try {
						// 每次只扫描 SCAN_TIME_MILLISECOND 毫秒
						Thread.sleep(SCAN_TIME_MILLISECOND);
					} catch (InterruptedException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}

					SKYBeaconScanUnit.getInstance().stop();
					SKYBeaconFilter.getInstance().filterBeacons();
					if (times >= timesThreshold) {
						times = 0;
						SKYBeaconFilter.getInstance().removeTimeoutBeacons();
					} else {
						times++;
					}
				}
			}
		}
	}
}
