package com.skybeacon.sdk.locate;

/**
 * 靠近触发门限枚举：分为四档：1米触发、3米触发、中距离触发、远距离触发
 * 
 * @author frank
 * 
 */
public enum SKYBeaconNearbyThreshold {
	DEFAULT(-1), NEAR_1_METER(1), NEAR_3_METER(2), MIDDLE(3), FAR(4);

	// 定义私有变量
	private int eCode;

	/**
	 * 构造函数，枚举类型只能为私有
	 * 
	 * @param eCode
	 */
	private SKYBeaconNearbyThreshold(int eCode) {
		this.eCode = eCode;
	}

	@Override
	public String toString() {
		return String.valueOf(this.eCode);
	}

	public static SKYBeaconNearbyThreshold getThreshold(int threshold) {
		SKYBeaconNearbyThreshold result = SKYBeaconNearbyThreshold.DEFAULT;
		switch (threshold) {
		case 1:
			result = SKYBeaconNearbyThreshold.NEAR_1_METER;
			break;
		case 2:
			result = SKYBeaconNearbyThreshold.NEAR_3_METER;
			break;
		case 3:
			result = SKYBeaconNearbyThreshold.MIDDLE;
			break;
		case 4:
			result = SKYBeaconNearbyThreshold.FAR;
			break;
		}
		return result;
	}

	public static int getThreshold(SKYBeaconNearbyThreshold lightSensorThreshold) {
		int result = -1;
		if (lightSensorThreshold == NEAR_1_METER) {
			result = 1;
		} else if (lightSensorThreshold == NEAR_3_METER) {
			result = 2;
		} else if (lightSensorThreshold == MIDDLE) {
			result = 3;
		} else if (lightSensorThreshold == FAR) {
			result = 4;
		}
		return result;
	}
}
