package com.skybeacon.sdk.locate;

import java.util.Arrays;

import android.bluetooth.BluetoothDevice;

/**
 * iBeacon扫描的原始数据
 * 
 * @author frank
 * 
 */
public class SKYBeaconScanRaw {
	// 扫描返回的BluetoothDevice对象
	private BluetoothDevice bluetoothDevice = null;
	// 扫描返回的原始数据
	private byte[] scanRecord = null;
	// 扫描返回的rssi值
	private int rssi = 0;

	/**
	 * 构造函数
	 * 
	 * @param bluetoothDevice
	 *            扫描返回的BluetoothDevice对象
	 * @param scanRecord
	 *            扫描返回的原始数据
	 * @param rssi
	 *            扫描返回的rssi值
	 */
	public SKYBeaconScanRaw(BluetoothDevice bluetoothDevice, byte[] scanRecord,
			int rssi) {
		this.bluetoothDevice = bluetoothDevice;
		this.scanRecord = new byte[scanRecord.length];
		this.scanRecord = Arrays.copyOf(scanRecord, scanRecord.length);
		this.rssi = rssi;
	}

	public BluetoothDevice getbluetoothDevice() {
		return bluetoothDevice;
	}

	public void setBluetoothDevice(BluetoothDevice bluetoothDevice) {
		this.bluetoothDevice = bluetoothDevice;
	}

	public byte[] getScanRecord() {
		return scanRecord;
	}

	public void setScanRecord(byte[] scanRecord) {
		this.scanRecord = Arrays.copyOf(scanRecord, scanRecord.length);
	}

	public int getRssi() {
		return rssi;
	}

	public void setRssi(int rssi) {
		this.rssi = rssi;
	}
}
