package com.skybeacon.sdk.locate;

import com.skybeacon.sdk.utils.DefaultStaticValues;

/**
 * 定义区域范围：临近iBeacon的区域范围
 * 
 * @author frank
 * 
 */
public class SKYRegion {
	private String identifier = DefaultStaticValues.DEFAULT_SKY_BEACON_REGION_IDENTIFIER; // SKYBeaconRegion的唯一标识
	private String deviceAddress = DefaultStaticValues.DEFAULT_SKY_BEACON_DEVICE_ADDRESS; // Mac地址
	private String proximityUUID = DefaultStaticValues.DEFAULT_SKY_BEACON_PROXIMITY_UUID; // UUID
	private int major = DefaultStaticValues.DEFAULT_SKY_BEACON_MAJOR_FALSE; // Major
	private int minor = DefaultStaticValues.DEFAULT_SKY_BEACON_MINOR_FALSE; // Minor

	public SKYRegion(SKYRegion skyRegion) {
		this.identifier = skyRegion.identifier;
		this.deviceAddress = skyRegion.deviceAddress;
		this.proximityUUID = skyRegion.proximityUUID;
		this.major = skyRegion.major;
		this.minor = skyRegion.minor;
	}

	/**
	 * 构造函数
	 * 
	 * @param identifier
	 *            ：SKYBeaconRegion唯一标识
	 * @param deviceAddress
	 *            ：mac地址
	 * @param proximityUUID
	 *            ：UUID
	 * @param major
	 *            ：Major
	 * @param minor
	 *            ：Minor
	 */
	public SKYRegion(String identifier, String deviceAddress,
			String proximityUUID, Integer major, Integer minor) {
		super();
		if (identifier != null && !identifier.equals("")) {
			this.identifier = identifier;
		}
		if (deviceAddress != null && !deviceAddress.equals("")) {
			this.deviceAddress = deviceAddress;
		}
		if (proximityUUID != null && !proximityUUID.equals("")) {
			this.proximityUUID = proximityUUID;
		}
		if (major != null) {
			this.major = major;
		}
		if (minor != null) {
			this.minor = minor;
		}
	}

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public String getDeviceAddress() {
		return deviceAddress;
	}

	public void setDeviceAddress(String deviceAddress) {
		this.deviceAddress = deviceAddress;
	}

	public String getProximityUUID() {
		return proximityUUID;
	}

	public void setProximityUUID(String proximityUUID) {
		this.proximityUUID = proximityUUID;
	}

	public int getMajor() {
		return major;
	}

	public void setMajor(int major) {
		this.major = major;
	}

	public int getMinor() {
		return minor;
	}

	public void setMinor(int minor) {
		this.minor = minor;
	}

	@Override
	protected Object clone() throws CloneNotSupportedException {
		// TODO Auto-generated method stub
		SKYRegion tmp = new SKYRegion(this.identifier, this.deviceAddress,
				this.proximityUUID, this.major, this.minor);
		return tmp;
	}

	@Override
	public boolean equals(Object o) {
		// TODO Auto-generated method stub
		boolean result = true;
		SKYRegion tmp = (SKYRegion) o;
		if (tmp == null) {
			return false;
		}
		if ((tmp.getIdentifier() == null && this.getIdentifier() == null)
				|| (tmp.getIdentifier() != null && this.getIdentifier() != null && tmp
						.getIdentifier().equals(this.getIdentifier()))) {

		} else {
			result = false;
		}
		if ((tmp.getDeviceAddress() == null && this.getDeviceAddress() == null)
				|| (tmp.getDeviceAddress() != null
						&& this.getDeviceAddress() != null && tmp
						.getDeviceAddress().equals(this.getDeviceAddress()))) {

		} else {
			result = false;
		}
		if ((tmp.getProximityUUID() == null && this.getProximityUUID() == null)
				|| (tmp.getProximityUUID() != null
						&& this.getProximityUUID() != null && tmp
						.getProximityUUID().equals(this.getProximityUUID()))) {

		} else {
			result = false;
		}
		if (tmp.getMajor() != this.getMajor()) {
			result = false;
		}
		if (tmp.getMinor() != this.getMinor()) {
			result = false;
		}
		return result;
	}

	@Override
	public int hashCode() {
		// TODO Auto-generated method stub
		return super.hashCode();
	}
}
