package com.skybeacon.sdk.sensor;

import java.util.ArrayList;

public class AccelerationEntity {
	private static final int ACCELERATION_SENSOR_BUFFER_MAX = 100;
	private ArrayList<float[]> accelerationValue;

	private static AccelerationEntity instance = null;

	/**
	 * 单例获取
	 * 
	 * @return
	 */
	public synchronized static AccelerationEntity getInstance() {
		if (instance == null) {
			instance = new AccelerationEntity();
		}
		return instance;
	}

	/**
	 * 添加数据
	 * 
	 * @param acc
	 */
	public void put(float[] acc) {
		synchronized (AccelerationEntity.this) {
			float[] tmp = new float[3];
			tmp[0] = (float) Math.round(acc[0] * 100) / 100;
			tmp[1] = (float) Math.round(acc[1] * 100) / 100;
			tmp[2] = (float) Math.round(acc[2] * 100) / 100;
			accelerationValue.add(tmp);
			if (accelerationValue.size() > ACCELERATION_SENSOR_BUFFER_MAX) {
				accelerationValue.remove(0);
			}
		}
	}

	/**
	 * 获取返回数据
	 * 
	 * @return
	 */
	public ArrayList<float[]> get() {
		ArrayList<float[]> result = new ArrayList<float[]>();
		synchronized (AccelerationEntity.this) {
			result.addAll(accelerationValue);
			accelerationValue.clear();
		}
		return result;
	}

	private AccelerationEntity() {
		accelerationValue = new ArrayList<float[]>();
	}
}
