package com.skybeacon.sdk.sensor;

import java.util.ArrayList;

public class MagneticEntity {
	private static final int SENSOR_ACC_BUFFER_MAX = 100;
	private ArrayList<float[]> magneticValue;

	private static MagneticEntity instance = null;

	/**
	 * 单例获取
	 * 
	 * @return
	 */
	public synchronized static MagneticEntity getInstance() {
		if (instance == null) {
			instance = new MagneticEntity();
		}
		return instance;
	}

	/**
	 * 添加数据
	 * 
	 * @param acc
	 */
	public void put(float[] acc) {
		synchronized (MagneticEntity.this) {
			float[] tmp = new float[3];
			tmp[0] = (float) Math.round(acc[0] * 100) / 100;
			tmp[1] = (float) Math.round(acc[1] * 100) / 100;
			tmp[2] = (float) Math.round(acc[2] * 100) / 100;
			magneticValue.add(tmp);
			if (magneticValue.size() > SENSOR_ACC_BUFFER_MAX) {
				magneticValue.remove(0);
			}
		}
	}

	/**
	 * 获取返回数据
	 * 
	 * @return
	 */
	public ArrayList<float[]> get() {
		ArrayList<float[]> result = new ArrayList<float[]>();
		synchronized (MagneticEntity.this) {
			result.addAll(magneticValue);
			magneticValue.clear();
		}
		return result;
	}

	private MagneticEntity() {
		magneticValue = new ArrayList<float[]>();
	}
}
