package com.skybeacon.sdk.sensor;

import java.util.ArrayList;

public class OrientationEntity {
	private static final int SENSOR_ACC_BUFFER_MAX = 100;
	private ArrayList<float[]> orientationValue;

	private static OrientationEntity instance = null;

	/**
	 * 单例获取
	 * 
	 * @return
	 */
	public synchronized static OrientationEntity getInstance() {
		if (instance == null) {
			instance = new OrientationEntity();
		}
		return instance;
	}

	/**
	 * 添加数据
	 * 
	 * @param acc
	 */
	public void put(float[] acc) {
		synchronized (OrientationEntity.this) {
			float[] tmp = new float[3];
			tmp[0] = (float) Math.round(acc[0] * 100) / 100;
			tmp[1] = (float) Math.round(acc[1] * 100) / 100;
			tmp[2] = (float) Math.round(acc[2] * 100) / 100;
			orientationValue.add(tmp);
			if (orientationValue.size() > SENSOR_ACC_BUFFER_MAX) {
				orientationValue.remove(0);
			}
		}
	}

	/**
	 * 获取返回数据
	 * 
	 * @return
	 */
	public ArrayList<float[]> get() {
		ArrayList<float[]> result = new ArrayList<float[]>();
		synchronized (OrientationEntity.this) {
			result.addAll(orientationValue);
			orientationValue.clear();
		}
		return result;
	}

	private OrientationEntity() {
		orientationValue = new ArrayList<float[]>();
	}
}
