package com.skybeacon.sdk.sensor;

import java.util.ArrayList;
import java.util.List;

public class PressureEntity {

	private static final int PRESSURE_SENSOR_BUFFER_MAX = 30;

	private List<Float> press;
	private static PressureEntity instance = null;

	/**
	 * 获取单例
	 * 
	 * @return
	 */
	public synchronized static PressureEntity getInstance() {
		if (instance == null) {
			instance = new PressureEntity();
		}
		return instance;
	}

	/**
	 * 添加数据
	 * 
	 * @param pressure
	 */
	public void put(float pressure) {
		synchronized (PressureEntity.this) {
			press.add((float) Math.round(pressure * 100) / 100);
			if (press.size() > PRESSURE_SENSOR_BUFFER_MAX) {
				press.remove(0);
			}
		}
	}

	/**
	 * 获取数据
	 * 
	 * @return
	 */
	public List<Float> get() {
		List<Float> result = new ArrayList<Float>();
		synchronized (PressureEntity.this) {
			result.addAll(press);
			press.clear();
		}
		return result;
	}

	private PressureEntity() {
		press = new ArrayList<Float>();
	}
}
