package com.skybeacon.sdk.utils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * data check
 * 
 * @author frank
 * 
 */
public class DatasCheck {

	public static boolean isProximityUUID(String input) {
		boolean result = false;
		if(input == null) {
			return result;
		}
		if(input.equals("")){
			return result;
		}
		if (input.length() == 36) {
			Pattern p = Pattern
					.compile("[A-Fa-f0-9]{8}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{12}");
			Matcher m = p.matcher(input);
			result = m.matches();
		}
		return result;
	}

	public static boolean isMajorOrMinor(String input) {
		boolean result = false;
		if(input == null) {
			return result;
		}
		if(input.equals("")){
			return result;
		}
		if (input.length() <= 5) {
			Pattern p = Pattern.compile("^((0|[1-9])+)$");
			Matcher m = p.matcher(input);
			result = m.matches();
			if (result) {
				int tmp = Integer.valueOf(input);
				if (tmp > 65535 || tmp < 0) {
					result = false;
				}
			}
		}
		return result;
	}

	public static boolean isRssiValue(String input) {
		boolean result = false;
		if(input == null) {
			return result;
		}
		if(input.equals("")){
			return result;
		}
		if (!input.equals("")) {
			Pattern p = Pattern.compile("^(-?(0|[1-9])+)$");
			Matcher m = p.matcher(input);
			result = m.matches();
		}

		return result;
	}

	public static boolean isBatteryValue(String input) {
		boolean result = false;
		if(input == null) {
			return result;
		}
		if(input.equals("")){
			return result;
		}
		if (!input.equals("")) {
			Pattern p = Pattern.compile("^((0|[1-9])+)$");
			Matcher m = p.matcher(input);
			result = m.matches();
			if (result) {
				int tmp = Integer.valueOf(input);
				if (tmp > 100 || tmp < 0) {
					result = false;
				}
			}
		}

		return result;
	}

	public static boolean isMac(String input) {
		boolean result = false;
		if(input == null) {
			return result;
		}
		if(input.equals("")){
			return result;
		}
		if (input.length() == 17) {
			Pattern p = Pattern
					.compile("[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}");
			Matcher m = p.matcher(input);
			result = m.matches();
		}

		return result;
	}

	public static boolean isLockKey(String input) {
		boolean result = false;
		if(input == null) {
			return result;
		}
		if(input.equals("")){
			return result;
		}
		if (!input.equals("") && input.length() <= 6) {
			result = true;
		}
		return result;
	}

	public static boolean isEncryptKey(String input) {
		boolean result = false;
		if(input == null) {
			return result;
		}
		if(input.equals("")){
			return result;
		}
		if (!input.equals("") && input.length() == 64) {
			result = true;
		}
		return result;
	}
}
